Sign inGet started

Capacity Rules

GET
/workspaces/{workspaceId}/inbox/capacity
Retrieve list of capacity rule
Parámetros de consulta
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.id
string
obligatorio
results.workspaceId
string
obligatorio
results.name
string
obligatorio
results.description
string
obligatorio
results.default
boolean
results.capacity
object
obligatorio
Mostrar atributos secundarios
results.capacity.messaging
integer
results.capacity.email
integer
results.assignedAgentIds
array of string
results.createdAt
string
results.updatedAt
string
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/capacity
Create Capacity Rule
Cuerpo de la solicitud
name
string
obligatorio
description
string
obligatorio
default
boolean
capacity
object
obligatorio
Mostrar parámetros secundarios
capacity.messaging
integer
obligatorio
capacity.email
integer
obligatorio
agents
array of string
Cuerpo de la respuesta
id
string
obligatorio
workspaceId
string
obligatorio
name
string
obligatorio
description
string
obligatorio
default
boolean
capacity
object
obligatorio
Mostrar atributos secundarios
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Ejemplo de código
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Get a Capacity Rule
Cuerpo de la respuesta
id
string
obligatorio
workspaceId
string
obligatorio
name
string
obligatorio
description
string
obligatorio
default
boolean
capacity
object
obligatorio
Mostrar atributos secundarios
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Update Capacity Rule
Cuerpo de la solicitud
name
string
description
string
default
boolean
capacity
object
Mostrar parámetros secundarios
capacity.messaging
integer
obligatorio
capacity.email
integer
obligatorio
Cuerpo de la respuesta
id
string
obligatorio
workspaceId
string
obligatorio
name
string
obligatorio
description
string
obligatorio
default
boolean
capacity
object
obligatorio
Mostrar atributos secundarios
capacity.messaging
integer
capacity.email
integer
assignedAgentIds
array of string
createdAt
string
updatedAt
string
Ejemplo de código
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}
Delete a Capacity Rule
Ejemplo de código
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents
Assign Capacity Rule
Cuerpo de la solicitud
agents
array of string
obligatorio
Ejemplo de código
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents
get agents assigned to Capacity Rule
Cuerpo de la respuesta
agents
array of string
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/capacity/{capacityRuleId}/agents' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'